//////////////////////////////////////////////////////////////////////
// Mainz Rolling Brains RoboCup Tool "FUNSSEL" developed for the 
// Simulator League of the RoboCup 2001 competition
//
// Copyright (C) 1998, 1999, 2000, 2001 Team Members 
// of the Mainz Rolling Brains RoboCup Team 
//
// This program is published under the terms of the GNU General Public 
// License as published by the Free Software Foundation; version 2 of the
// License. See the README file in the root directory of our archive.
//////////////////////////////////////////////////////////////////////

#ifndef RECODER_H
#define RECODER_H
#include "MsgStore.h"
#include "Exception.h"
#include <string>
#include <iostream>

// from soccerserver
namespace Soccer {
#include <param.h>
#include <types.h>
}

class Recoder {
private:
  MsgStore messages;

  /////////////// logging flags
  bool log_board;
  bool msg_board;

  /////////////// Klaus buffers
  Soccer::dispinfo_t2       m_tBuf2;
  Soccer::short_showinfo_t2 m_show_buf;
  Soccer::team_t            m_team_buf[2];
  char                      m_playmode_buf;

  // time
  int time;

public:
  Recoder(const string &logfile) throw (Exception); 
  ~Recoder();

  void code() throw (Exception);
};

// and yes, this is the main module
int main(int argc, char **argv);

#endif
