// -*- c++ -*- /////////////////////////////////////////////////
//
// $Id: olcoach.h,v 1.3 2000/08/10 12:00:29 goetz Exp $
//
// olcoach.h 
//
////////////////////////////////////////////////////////////////

#ifndef _OLCOACH_H_
#define _OLCOACH_H_


#include <unistd.h>
#include "onlinecoach.h"
#include "snapshot.h"


class OlCoach : public Onlinecoach {

public:

  OlCoach( const char*  team,
	   const char*  host             = DEFAULT_HOST,
	   int          port             = OLCOACH_PORT,   
	   double       MapWindowMagnify = 0,
	   bool         logging_snaps    = false);

  virtual void act(Snapshot* snap);
  virtual void analyze(Snapshot* snap);
  
private:
  
};

#endif
