//////////////////////////////////////////////////////////////////////
// Mainz Rolling Brains RoboCup agents developed for the Simulator 
// League of the RoboCup 2001 competition
//
// Copyright (C) 1998, 1999, 2000, 2001 Team Members 
// of the Mainz Rolling Brains RoboCup Team 
//
// This program is published under the terms of the GNU General Public
// License as published by the Free Software Foundation; version 2 of the
// License. See the README file in the root directory of our archive.
//////////////////////////////////////////////////////////////////////

#ifndef _ENSURE_H_
#define _ENSURE_H_

#ifdef NOCORE			// if we want a core dump, we call
				// assert, if not, make it safe for
				// batch jobs
#include <iostream.h>

#define ensure(expr)					\
{							\
  if (!(expr)) {					\
    cerr << "Warning: ensure " << #expr << " not valid in "	\
	 << __FILE__ << ":" << __LINE__ << endl;	\
  }							\
}

#else

#include <assert.h>
#define ensure(expr) assert(expr)

#endif
#endif /* _ENSURE_H_ */
